exports = module.exports = {

  app: function (appname) {
    return   'var kibu = require("kibu")\n'
           + '  , server = new kibu.Server();\n'
           + 'exports = module.exports = {\n'
           + '  serve: function (port) {\n'
           + '    server.listen(port);\n'
           + '    console.log("kibu is listening on port " + port);\n'
           + '  }\n'
           + '};'
  },

  routes: function () {
    return   'exports = module.exports = {\n'
           + '  "/": "home#index"\n'
           + '};';
  }(),

  package: function (appname) {
    return   '{\n'
           + '  "name": "' + appname + '",\n'
           + '  "version": "0.0.0",\n'
           + '  "description": "{Enter ' + appname + ' description here}",\n'
           + '  "main": "' + appname + '.js",\n'
           + '  "scripts": {},\n'
           + '  "repository": {\n'
           + '    "type": "",\n'
           + '    "url": ""\n'
           + '  },\n'
           + '  "author": "",\n'
           + '  "license": "",\n'
           + '  "readmeFilename": "README.md",\n'
           + '  "dependencies": {\n'
           + '  },\n'
           + '  "devDependencies": {\n'
           + '  }\n'
           + '}';
  },

  readme: function (appname) {
    return   '# ' + appname + '\n'
           + appname + ' description.';
  },

  server: function () {
    return '// server.js';
  }()
};
